Skip to main content

Get Catalog Price Point

GET 

/inventory/v1/catalog/price-point/:price_point_id

Get a specific Price Point.

Request

Path Parameters

    price_point_id Price Point Idrequired

Header Parameters

    if-none-match any

    If you provide the ETag that matches the current ETag for this content, will return a 304 response - indicating that the content has not changed.

Responses

Successful Response

Response Headers

  • ETag

    string

    Used to identify this version of the content. Provide with a get request to avoid downloading the same data multiple times.

Schema

    custom_data

    object

    Custom data associated with the resource

    property name* string

    name

    object

    The name of the Price Point.

    anyOf

    string

    strict_flag Strict Flag (boolean)

    Forces the quantity to be equal to a quantity on a Price Breakpoint.

    cap_flag Cap Flag (boolean)

    Only allows quantity to be fulfilled up the highest quantity on the Price Breakpoints

    current_breakpoints

    object[]

    Current Price Breakpoints.

  • Array [

  • price_item_uuid

    object

    The Item used as the currency for the purchase.

    anyOf

    string

    price_item_id

    object

    deprecated

    Deprecated. Use the currencies field instead.

    anyOf

    integer

    quantity Quantity (integer)required

    price

    object

    deprecated

    Deprecated. Use the currencies field instead.

    anyOf

    integer

    currencies

    object

    List of currencies for this break point

    anyOf

  • Array [

  • price_item_uuid uuidrequired

    The Item used as the currency for the purchase.

    price_item_id Price Item Id (integer)required

    The Item used as the currency for the purchase.

    price Price (integer)required

    The price of the Item.

  • ]

  • ]

  • pre_sale_breakpoints

    object[]

    Previous Price Breakpoints.

  • Array [

  • price_item_uuid

    object

    The Item used as the currency for the purchase.

    anyOf

    string

    price_item_id

    object

    deprecated

    Deprecated. Use the currencies field instead.

    anyOf

    integer

    quantity Quantity (integer)required

    price

    object

    deprecated

    Deprecated. Use the currencies field instead.

    anyOf

    integer

    currencies

    object

    List of currencies for this break point

    anyOf

  • Array [

  • price_item_uuid uuidrequired

    The Item used as the currency for the purchase.

    price_item_id Price Item Id (integer)required

    The Item used as the currency for the purchase.

    price Price (integer)required

    The price of the Item.

  • ]

  • ]

  • cache_info

    object

    Cache info for the Price Point.

    anyOf

    Cache information for the resource it is attached to. The etag value can be used with the If-None-Match and If-Match headers

    etag Etag (string)required

    Possible values: non-empty

Loading...